#ifndef LR_SIZING_H
#define LR_SIZING_H

#include "dual_sizing.h"

class lr_sizing : public dual_sizing
{
public:
	lr_sizing();

protected:
	void update_flow_by_slack(double step);
	void update_flow_by_sechen();
	void project_flow();
	virtual bool find_next_flow(int round);

	double step_;
	bool sechen_;

}; // class lr_sizing

#endif // LR_SIZING_H
