26 options:
  FD_step=1: step size for direction finding
  GTSIZING=1: trace level for gate sizing
  force_size_lb=-1: size lb, negative for file input
  force_size_ub=-1: size ub, negative for file input
  line_alpha=2: step ratio for inexact line search
  line_autostep=false: automatically determine FD step
  line_epsi=0.02: expected increase for inexact line search
  line_inexact=true: use inexact line search
  lr_sechen=false: use sechen's method instead of standard one for LR
  lr_step=1: step size for subgradient optimization
  lrs=analytical: LRS solver : nr|dbrent|analytical
  max_paths=10: maximum # of path steps, path only
  max_rounds=100: maximum # of rounds for dual sizing
  max_user=-1: maximum user seconds for dual sizing
  min_change=1e-3: minimum change in cost/size to continue
  min_period=false: minimize clock period, path only
  scale=1e9: scale the delays, negative for automatic scaling
  skew_lb=0: skew/T lb
  skew_opt=false: allow skew optimization
  skew_ub=0.5: skew/T ub
  solver=flow: solvers: flow|lr|fast_lr|tr|path|cplex
  temperature=true: Temperature aware optimization
  tr_expand=0.75: ratio to expand trust region
  tr_shrink=0.25: ratio to shrink trust region
  weight_T=0.01: initial weight of T^2, path only
  weight_r=1.5: expanding factor for weight of T^2, path only
found clock period edge 191 (290->0) with clock period 2.939260e+02
./temp_flow/s208.dump: 291 vertices, 104 vars, 374 edges, 8 dffs
  scale 1.000e+09, clock period 293.926
@bench ./temp_flow/s208.dump, scale 1.000e+09
@vertices 291, edges 374, vars 104, T 293.926
Alpha Filename : ./temp_flow/s208.alpha
pmatrix load rows : 144 cols : 1
Beta Filename : ./temp_flow/s208.beta
pmatrix load rows : 144 cols : 1
Sparse Conductance Filename : ./temp_flow/s208.sconductance
rows : 144 cols : 144 nvals : 672
@bench ./temp_flow/s208.dump, packing constraints : 104
Cost function details
Alpha rows : 144, Beta rows : 144, sconductance values : 672
$round 0, cost 911.13, gap -0.000, cp 741.16, wns -447.231, LRS 1, LRS_iters 104, user 0.004
  before LRS 9.111330e+02, check cost 0.000000e+00, target 9.111330e+02
CS2: info: init eps 663288
CS2: info: refine 1, eps 55274
CS2: info: refine 2, eps 4607
changes: size 0.000, flow 0.000, cost 3.185009e-01, no imp 0
statics: flow 0.000, scale 10000
$round 1, cost 620.94, gap -0.000, cp 741.16, wns -447.231, LRS 32, LRS_iters 5552, user 0.178
  before LRS 6.209363e+02, check cost 2.901967e+02, target 6.209363e+02
CS2: info: init eps 44716
CS2: info: refine 1, eps 3727
changes: size 58.172, flow 32000000.000, cost 5.362096e-01, no imp 0
statics: flow 32.000, scale 10000
$round 2, cost 953.89, gap -6.420, cp 765.98, wns -472.053, LRS 70, LRS_iters 21808, user 0.690
  before LRS 9.689520e+02, check cost 5.580253e+04, target 9.474678e+02
CS2: info: init eps 171580
CS2: info: refine 1, eps 14299
changes: size 0.000, flow 0.000, cost 5.395033e+01, no imp 0
statics: flow 32.000, scale 10000
$round 3, cost -50508.70, gap -6.421, cp 765.98, wns -472.053, LRS 106, LRS_iters 49800, user 1.629
  before LRS -5.050870e+04, check cost 1.072651e+05, target -5.051512e+04
CS2: info: init eps 76579
CS2: info: refine 1, eps 6382
CS2: info: refine 2, eps 45
changes: size 5.292, flow 250000.000, cost 6.090995e-05, no imp 0
statics: flow 32.250, scale 10000
$round 4, cost -50505.62, gap -4.284, cp 398.47, wns -104.539, LRS 137, LRS_iters 65440, user 2.139
  before LRS -5.049447e+04, check cost 1.078010e+05, target -5.050991e+04
CS2: info: init eps 125977
CS2: info: refine 1, eps 10499
CS2: info: refine 2, eps 73
changes: size 0.000, flow 0.000, cost 1.181326e-03, no imp 1
statics: flow 32.250, scale 10000
$round 5, cost -50565.28, gap -4.284, cp 398.47, wns -104.539, LRS 166, LRS_iters 81106, user 2.665
  before LRS -5.056528e+04, check cost 1.078606e+05, target -5.056957e+04
CS2: info: init eps 29013
CS2: info: refine 1, eps 2418
changes: size 2.686, flow 125000.000, cost 4.900859e-05, no imp 0
statics: flow 32.375, scale 10000
$round 6, cost -50567.76, gap -4.813, cp 335.72, wns -41.793, LRS 196, LRS_iters 96674, user 3.187
  before LRS -5.056281e+04, check cost 1.078215e+05, target -5.057258e+04
CS2: info: init eps 54399
CS2: info: refine 1, eps 4534
changes: size 1.087, flow 6.250, cost 1.118297e-04, no imp 1
statics: flow 32.813, scale 10000
$round 7, cost -50562.11, gap -72.583, cp 587.85, wns -293.926, LRS 201, LRS_iters 102239, user 3.371
  before LRS -5.056211e+04, check cost 1.065356e+05, target -5.063469e+04
CS2: info: init eps 92811
CS2: info: refine 1, eps 7735
CS2: info: refine 2, eps 645
changes: size 0.000, flow 0.000, cost 1.104905e-02, no imp 2
statics: flow 32.813, scale 10000
$round 8, cost -51120.77, gap -72.583, cp 587.85, wns -293.926, LRS 232, LRS_iters 118240, user 3.901
  before LRS -5.112077e+04, check cost 1.070942e+05, target -5.119335e+04
CS2: info: init eps 46044
CS2: info: refine 1, eps 3837
changes: size 4.301, flow 250000.000, cost 1.601464e-04, no imp 0
statics: flow 33.063, scale 10000
$round 9, cost -51128.96, gap -67.743, cp 381.66, wns -87.737, LRS 263, LRS_iters 132800, user 4.381
  before LRS -5.111424e+04, check cost 1.075802e+05, target -5.119670e+04
CS2: info: init eps 66949
CS2: info: refine 1, eps 5580
changes: size 0.000, flow 0.000, cost 8.361983e-04, no imp 1
statics: flow 33.063, scale 10000
$round 10, cost -51171.71, gap -67.743, cp 381.66, wns -87.737, LRS 292, LRS_iters 146529, user 4.847
  before LRS -5.117171e+04, check cost 1.076230e+05, target -5.123946e+04
CS2: info: init eps 19876
CS2: info: refine 1, eps 1657
changes: size 1.535, flow 62500.000, cost 4.749010e-06, no imp 2
statics: flow 33.125, scale 10000
$round 11, cost -51171.96, gap -69.707, cp 312.87, wns -18.945, LRS 321, LRS_iters 158542, user 5.255
  before LRS -5.116964e+04, check cost 1.076075e+05, target -5.124166e+04
CS2: info: init eps 29637
CS2: info: refine 1, eps 2470
changes: size 0.304, flow 1.623, cost 7.612485e-04, no imp 3
statics: flow 33.360, scale 10000
$round 12, cost -51210.91, gap -101.286, cp 332.26, wns -38.331, LRS 327, LRS_iters 167289, user 5.547
  before LRS -5.114382e+04, check cost 1.070959e+05, target -5.131220e+04
CS2: info: init eps 17850
CS2: info: refine 1, eps 1488
changes: size 0.000, flow 0.000, cost 9.559225e-04, no imp 4
statics: flow 33.360, scale 10000
  terminated when there is no change (and in flow)
@final feasible
@cost -51259.86, target -51361.15, gap -1.012861e+02, cost_ub 1.980e+06
@cp 332.26, target_cp 293.93, wns -38.331
@fcp unk, fcost unk, ftarget unk, gap_ub unk
  before LRS -5.125986e+04, check cost 1.071448e+05
@rounds 13, DF 13, DF_user 0.0, LRS 357, LRS_user 6.0, LRS_iters 181595
@user 6.034, sys 0.001, real 6.038
