26 options:
  FD_step=1: step size for direction finding
  GTSIZING=1: trace level for gate sizing
  force_size_lb=-1: size lb, negative for file input
  force_size_ub=-1: size ub, negative for file input
  line_alpha=2: step ratio for inexact line search
  line_autostep=false: automatically determine FD step
  line_epsi=0.02: expected increase for inexact line search
  line_inexact=true: use inexact line search
  lr_sechen=false: use sechen's method instead of standard one for LR
  lr_step=1: step size for subgradient optimization
  lrs=analytical: LRS solver : nr|dbrent|analytical
  max_paths=10: maximum # of path steps, path only
  max_rounds=-1: maximum # of rounds for dual sizing
  max_user=-1: maximum user seconds for dual sizing
  min_change=1e-3: minimum change in cost/size to continue
  min_period=false: minimize clock period, path only
  scale=1e9: scale the delays, negative for automatic scaling
  skew_lb=0: skew/T lb
  skew_opt=false: allow skew optimization
  skew_ub=0.5: skew/T ub
  solver=flow: solvers: flow|lr|fast_lr|tr|path|cplex
  temperature=true: Temperature aware optimization
  tr_expand=0.75: ratio to expand trust region
  tr_shrink=0.25: ratio to shrink trust region
  weight_T=0.01: initial weight of T^2, path only
  weight_r=1.5: expanding factor for weight of T^2, path only
found clock period edge 26 (39->0) with clock period 9.646160e+01
./temp_flow/s27.dump: 40 vertices, 13 vars, 51 edges, 3 dffs
  scale 1.000e+09, clock period 96.462
@bench ./temp_flow/s27.dump, scale 1.000e+09
@vertices 40, edges 51, vars 13, T 96.462
Alpha Filename : ./temp_flow/s27.alpha
pmatrix load rows : 16 cols : 1
Beta Filename : ./temp_flow/s27.beta
pmatrix load rows : 16 cols : 1
Sparse Conductance Filename : ./temp_flow/s27.sconductance
rows : 16 cols : 16 nvals : 64
@bench ./temp_flow/s27.dump, packing constraints : 13
Cost function details
Alpha rows : 16, Beta rows : 16, sconductance values : 64
$round 0, cost 113.97, gap -0.000, cp 192.92, wns -96.461, LRS 1, LRS_iters 13, user 0.000
  before LRS 1.139706e+02, check cost 0.000000e+00, target 1.139706e+02
CS2: info: init eps 57426
CS2: info: refine 1, eps 4786
changes: size 0.000, flow 0.000, cost 6.233124e-01, no imp 0
statics: flow 0.000, scale 10000
$round 1, cost 42.93, gap -0.000, cp 192.92, wns -96.461, LRS 32, LRS_iters 1042, user 0.037
  before LRS 4.293130e+01, check cost 7.103927e+01, target 4.293130e+01
CS2: info: init eps 9646
CS2: info: refine 1, eps 804
changes: size 11.774, flow 2000000.000, cost 2.198353e-01, no imp 0
statics: flow 2.000, scale 10000
$round 2, cost 33.49, gap 12.787, cp 233.69, wns -137.232, LRS 66, LRS_iters 2734, user 0.098
  before LRS 5.406286e+01, check cost 1.160152e+03, target 4.628032e+01
CS2: info: init eps 35331
CS2: info: refine 1, eps 2945
changes: size 0.000, flow 0.000, cost 1.921214e+01, no imp 0
statics: flow 2.000, scale 10000
$round 3, cost -609.99, gap 12.787, cp 233.69, wns -137.232, LRS 98, LRS_iters 6185, user 0.222
  before LRS -6.099880e+02, check cost 1.803632e+03, target -5.972012e+02
CS2: info: init eps 14364
CS2: info: refine 1, eps 1197
changes: size 7.187, flow 1000000.000, cost 5.704145e-01, no imp 0
statics: flow 2.000, scale 10000
$round 4, cost -957.93, gap -10.245, cp 113.32, wns -16.860, LRS 131, LRS_iters 9763, user 0.350
  before LRS -3.226452e+02, check cost 2.102490e+03, target -9.681792e+02
CS2: info: init eps 22098
CS2: info: refine 1, eps 1842
changes: size 0.000, flow 0.000, cost 8.399289e-02, no imp 0
statics: flow 2.000, scale 10000
$round 5, cost -1038.39, gap -10.245, cp 113.32, wns -16.860, LRS 162, LRS_iters 12764, user 0.457
  before LRS -1.038394e+03, check cost 2.182950e+03, target -1.048639e+03
CS2: info: init eps 2007
CS2: info: refine 1, eps 168
changes: size 0.486, flow 500000.000, cost 5.708178e-02, no imp 0
statics: flow 2.500, scale 10000
$round 6, cost -1097.67, gap -4.897, cp 106.23, wns -9.766, LRS 194, LRS_iters 15761, user 0.563
  before LRS -9.958155e+02, check cost 2.659045e+03, target -1.102564e+03
CS2: info: init eps 3107
CS2: info: refine 1, eps 259
changes: size 0.449, flow 500000.000, cost 1.982557e-03, no imp 0
statics: flow 3.000, scale 10000
$round 7, cost -1095.49, gap -0.276, cp 99.97, wns -3.506, LRS 197, LRS_iters 16306, user 0.583
  before LRS -1.095491e+03, check cost 3.096444e+03, target -1.095766e+03
CS2: info: init eps 2684
CS2: info: refine 1, eps 224
changes: size 0.000, flow 0.000, cost 1.048634e-02, no imp 0
statics: flow 3.000, scale 10000
$round 8, cost -1106.98, gap -0.276, cp 99.97, wns -3.506, LRS 228, LRS_iters 18535, user 0.662
  before LRS -1.106978e+03, check cost 3.107933e+03, target -1.107254e+03
CS2: info: init eps 519
CS2: info: refine 1, eps 44
changes: size 0.119, flow 0.250, cost 4.077993e-04, no imp 0
statics: flow 3.000, scale 10000
$round 9, cost -1107.43, gap -0.800, cp 97.29, wns -0.826, LRS 259, LRS_iters 20500, user 0.732
  before LRS -1.106434e+03, check cost 3.118283e+03, target -1.108229e+03
CS2: info: init eps 564
CS2: info: refine 1, eps 47
CS2: info: refine 2, eps 4
changes: size 0.000, flow 0.000, cost 6.765977e-04, no imp 1
statics: flow 3.000, scale 10000
$round 10, cost -1108.18, gap -0.800, cp 97.29, wns -0.826, LRS 288, LRS_iters 22969, user 0.820
  before LRS -1.108179e+03, check cost 3.119034e+03, target -1.108979e+03
CS2: info: init eps 142
CS2: info: refine 1, eps 12
changes: size 0.034, flow 0.062, cost 4.195010e-05, no imp 2
statics: flow 3.031, scale 10000
$round 11, cost -1108.23, gap -0.271, cp 96.69, wns -0.226, LRS 317, LRS_iters 25149, user 0.898
  before LRS -1.108156e+03, check cost 3.152518e+03, target -1.108496e+03
CS2: info: init eps 181
CS2: info: refine 1, eps 16
changes: size 0.000, flow 0.000, cost 8.128999e-05, no imp 3
statics: flow 3.031, scale 10000
$round 12, cost -1108.32, gap -0.271, cp 96.69, wns -0.226, LRS 344, LRS_iters 27250, user 0.974
  before LRS -1.108316e+03, check cost 3.152608e+03, target -1.108587e+03
CS2: info: init eps 30
CS2: info: refine 1, eps 3
changes: size 0.008, flow 0.017, cost 1.004655e-06, no imp 4
statics: flow 3.039, scale 10000
$round 13, cost -1108.32, gap -0.104, cp 96.50, wns -0.038, LRS 370, LRS_iters 28883, user 1.032
  before LRS -1.108315e+03, check cost 3.159353e+03, target -1.108421e+03
CS2: info: init eps 50
CS2: info: refine 1, eps 5
changes: size 0.000, flow 0.000, cost 1.315005e-06, no imp 5
statics: flow 3.039, scale 10000
  terminated when there is no change (and in flow)
@final feasible
@cost -1108.32, target -1108.42, gap -1.042539e-01, cost_ub 2.478e+05
@cp 96.50, target_cp 96.46, wns -0.038
@fcp unk, fcost unk, ftarget unk, gap_ub unk
  before LRS -1.108318e+03, check cost 3.159354e+03
@rounds 14, DF 14, DF_user 0.0, LRS 394, LRS_user 1.1, LRS_iters 30340
@user 1.084, sys 0.000, real 1.086
