import os
import sys

def main():

    if len(sys.argv) < 2:
        print 'Please provide the result file name.\n'
        return

    all = ' '.join([
        line[1:].strip()
        for line in open(sys.argv[1]).readlines()
        if line[0:1] == '@'
        ]).replace(',', ' ').split()

    db = dict([(all[2*i], all[2*i+1]) for i in range(len(all)/2)])
    db['file'] = os.path.basename(sys.argv[1])
    db['path'] = os.path.basename(os.path.dirname(sys.argv[1]))
    db['ext'] = sys.argv[1].split('.')[-2]
    db['name'] = os.path.basename(sys.argv[1].split('.')[-3])

    if len(sys.argv) == 2:
        print db
    else:
        print ','.join([db[s] for s in sys.argv[2].split(',')])

if __name__ == '__main__':
    main()
